Bezpečnostní vydání VirtueMart 3.0.12

Vytisknout
Kategorie: Novinky VirtueMart
Vytvořeno 26. 11. 2015 20:03
Napsal Linelabcz
Zobrazeno: 1936

Společnost Qualys.com objevila možnou Cross-Site Scripting zranitelnost v předchozích verzích Virtuemart, proto bylo přidáno nové zabezpečení i když většina serverů by měla zabránit zneužití zranitelnosti už v základním nastavení. Dále byla posílena zpětná kompatibilita a opraveno je i několik dalších méně závažných chyb. Aktualizace proběhla také u VirtueMart série 2.6.

Nový cíl
Rozhodnutí spojení Virtuemart s Joomla (API) rozhraním se ukázalo jako nešťastné.

 

V budoucnu se vývojáři Virtuemart zaměří na vývoj vlastního VMF frameworku, který umožní nasadit Virtuemart i na jiné redakční systémy než jen na Joomla. Virtuemart už funguje i na Drupalu, takže by to nemělo být příliš složité, ale prioritou je redakční systém Wordpress.

Nová dokumentace
K dokumentaci bylo přidáno mnoho zajímavých informací a stránek, které stojí za to si přečíst http://docs.virtuemart.net/manual/general-concepts.html Dokonce i dlouholetí uživatelé Virtuemart zde objevili nové zajímavé tipy.


Seznam nových funkcí a opravených chyb najdete zde: http://forum.virtuemart.net/index.php?topic=131898.0

Diskutujte o tomto článku ve fóru (17 odpovědí).